# =============================================================================
# Configuration de base DOMO22
# Version: 1.0
# Date: 2025-10-31
# Produit: ECO-DOMO-22 - Centrale Domotique Compacte
# =============================================================================

esphome:
  name: domo22
  friendly_name: "Centrale DOMO22"
  platform: ESP32
  board: esp32dev

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password

  # Point d'accès de secours si WiFi principal indisponible
  ap:
    ssid: "DOMO22 Fallback"
    password: !secret ap_password

# Active le serveur web pour le diagnostic local
web_server:
  port: 80

# API Home Assistant
api:
  encryption:
    key: !secret api_encryption_key

# OTA (mise à jour sans fil)
ota:
  password: !secret ota_password

# Logger
logger:
  level: DEBUG

# I2C pour capteurs (BME280, BH1750)
i2c:
  sda: GPIO21
  scl: GPIO22
  scan: true
  frequency: 400kHz
